package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.enums.HazardTypeEnum;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危险源和实验室关联对象 lab_hazard_subject_relation
 *
 * @author zd
 * @date 2021-09-01
 */
@ApiModel("危险源和实验室关联表")
public class LabHazardSubjectRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 关联危险源主键id
     */
    @ApiModelProperty("关联危化品id")
    @Excel(name = "关联危化品id")
    private Long hazardId;

    /**
     * 关联危险源中文名称
     */
    private String chName;

//    /**
//     * 关联压力容器id
//     */
//    @Excel(name = "关联压力容器id")
//    private Long containerId;

    /**
     * 枚举 hazard_type
     */
    @ApiModelProperty(value = "危险源类型")
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private HazardTypeEnum hazardType;


    /**
     * 关联实验室主键id
     */
    @ApiModelProperty(value = "关联实验室主键id")
    @Excel(name = "关联实验室主键id")
    private Long subjectId;

    /**
     * x位置
     */
    @ApiModelProperty(value = "x位置")
    private Long xPoint;

    /**
     * y位置
     */
    @ApiModelProperty(value = "y位置")
    private Long yPoint;


    public Long getxPoint() {
        return xPoint;
    }

    public void setxPoint(Long xPoint) {
        this.xPoint = xPoint;
    }

    public Long getyPoint() {
        return yPoint;
    }

    public void setyPoint(Long yPoint) {
        this.yPoint = yPoint;
    }

    /**
     * 关联实验室名称
     */
    private String subjectName;

    /**
     * 危险源位置标注
     */
    private String identify;

    /**
     * 危险源别名
     */
    private String anotherName;

    /**
     * 编号别名
     */
    private String anotherCode;


    public HazardTypeEnum getHazardType() {
        return hazardType;
    }

    public void setHazardType(HazardTypeEnum hazardType) {
        this.hazardType = hazardType;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public Long getHazardId() {
        return hazardId;
    }

    public void setHazardId(Long hazardId) {
        this.hazardId = hazardId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

//    public Long getContainerId() {
//        return containerId;
//    }
//
//    public void setContainerId(Long containerId) {
//        this.containerId = containerId;
//    }

    public String getIdentify() {
        return identify;
    }

    public void setIdentify(String identify) {
        this.identify = identify;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getAnotherCode() {
        return anotherCode;
    }

    public void setAnotherCode(String anotherCode) {
        this.anotherCode = anotherCode;
    }
}
